

OBJ_BASE_C += $(SDK_BOOT_DIR)/Base/risc_excpt_handler.c
OBJ_BASE_C += $(SDK_BOOT_DIR)/Base/risc_isr_handler.c
OBJ_BASE_C += $(SDK_BOOT_DIR)/Base/risc_tlb.c

ifeq ($(CONFIG_HARD_FLOAT),yes)
OBJ_BASE_S +=  $(SDK_BOOT_DIR)/Base/risc_fp.S
endif
OBJ_BASE_S +=  $(SDK_BOOT_DIR)/Base/set_gpr_boot_values.S
OBJ_BASE_S +=  $(SDK_BOOT_DIR)/Base/excpt_isr.S
OBJ_BASE_S +=  $(SDK_BOOT_DIR)/Base/risc_excpt_entry.S
OBJ_BASE_S +=  $(SDK_BOOT_DIR)/Base/risc_excpt_register.S


OBJ_BASE_C_NODIR = $(notdir $(OBJ_BASE_C))
OBJ_BASE_C_O = $(OBJ_BASE_C_NODIR:%.c=%.o)
BOOT_TARGET_O += $(OBJ_BASE_C_O)

OBJ_BASE_S_NODIR = $(notdir $(OBJ_BASE_S))
OBJ_BASE_S_O = $(OBJ_BASE_S_NODIR:%.S=%.o)
BOOT_TARGET_O += $(OBJ_BASE_S_O)

